Query Cluster Instance.
GET /api/v1/cluster/instances. Orchestrator API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
summary flag
User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed
cluster name pattern
cluster project name pattern
type of cluster
- CLUSTER_TYPE_K3S: cluster type is k3s
- CLUSTER_TYPE_TKG_ATTACH: cluster type is TKG, with subtype ATTACH
CLUSTER_TYPE_UNSPECIFIED, CLUSTER_TYPE_K3S, CLUSTER_TYPE_TKG_ATTACH Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select: id, name, title, description, tags, clusterType, projectId, revision, activate, clusterPolicyId, edgeNodePoolTags, serverAppID, agentAppID, minEdgeDevices, maxEdgeDevices, minServerNodes, maxServerNodes, minAgentNodes, maxAgentNodes, callHomeURL, clusterOnboardType, orchestrationProvider, orchestratorAuthenticationType, orchestratorServerAddress, orchestratorPort, dbEndpoint